Description

After a particularly frustrating experience where after hitting the ship on jetpack at very low speed | had to watch my Kerbal fall on the
ground and roll down a 20 degree slope on Mun for over three minutes with no option to switch off it ("you cannot switch ships when
you are about to crash") or to control and save the all happy and excited Kerbal only to see it disappear in a puff of smoke I'm here to
ask for some improvements to Kerbal ragdolling.

Fist thing I'd suggest is to implement a passed out Kerbal face. | believe it would get a whole lot less frustrating to watch your Kerbal
roll down a long slope without any response to controls if he is clearly uncouscious than if he is clearly happy and excited - or scared
to death - but completely unresponsive.

Second thing I'd suggest is to implement some reasonable timeout after which a knocked out Kerbal becomes controllable again
even if he is still bouncing off the surface. The idea is, after some time, say 10 seconds after the initial hit, the game would allow to
pull out the jetpack and try to save the Kerbal if he becomes airborne for more than 1 second. Even if it does not guarantee his
survival, he would at least show some reaction to controls.

Third thing I'd like to suggest is improvement to Kerbal-terrain interaction. During the fall, there were many places where he was
already sliding on the surface and about to stop but then suddenly something kicked him high to the space again, seemingly against
any energy conservation laws. | assume this was caused by some inaccuracies when switching between different terrain clipping
polygons and | believe it deserves some attention, too.

History

#1 - 05/25/2015 03:09 PM - Jack
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| agree, | lost most of my kerbals on missions that require to make EVA's on top off mountains. One wrong move and they tumble down until they
either dead or all the way down the hill.

#2 - 06/01/2015 04:13 PM - ringerc

This can be intensely frustrating on Minmus, where they slide and bounce nearly forever after anything but the most perfect landing on a slope. Or
sometimes after simply taking a step.

They really need to regain their senses and grip the terrain or enter RCS mode and become controllable after a bit.

#3 - 07/17/2016 09:38 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 07/20/2016 10:19 AM - achurch
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

I'm afraid this problem is still present in 1.1.3. Testing at some of the slopes around the flats on Minmus, Kerbals do seem to be a bit better than in
1.0 at keeping their footing, but even when walking at normal speed, there's a good chance that the kerbal starts sliding uncontrollably and eventually
ragdolls, with no apparent way to recover -- neither WASD nor R (jetpack toggle) have any effect.
